For the complete documentation index, see llms.txt. This page is also available as Markdown.

RequestInstantCard

The "RequestInstantCard" endpoint allows customers to request an instant card by specifying a card profile, the number of cards to request, and the default name to be printed on the card.

POST /api/Card/v{{version}}/Providus/RequestInstantCard

To request an instant card, provide the cardProfile to use, the amount of cards to request, and the defaultNameOnCard to print.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Body

Name
Data Type
Required/Optional
Description

cardProfile

string

The card profile to use for the request.

amount

integer

The number of cards to request.

defaultNameOnCard

string

The default name to be printed on the card(s).

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseUrl}}/api/Card/v{{version}}/Providus/RequestInstantCard' \
--header 'Content-Type: application/json' \
--data '{
  "cardProfile": "TestCP",
  "amount": 1,
  "defaultNameOnCard": "TEST CARD"
}'
Response: 200
{
  "status": true,
  "message": "Request Successful",
  "data": {
    "success": true,
    "batchNumber": "123456678",
    "failedValidations": []
  }
}

Last updated